2

I've followed various guides, e.g.

https://computingforgeeks.com/install-virtualbox-ubuntu-debian/

https://tecadmin.net/install-virtualbox-on-debian-10-buster/

At step:

apt install virtualbox-6.0

It fails with:

root@debian:~# apt-get update
Hit:1 http://deb.debian.org/debian buster InRelease
Hit:2 http://deb.debian.org/debian-security buster/updates InRelease              
Hit:3 http://deb.debian.org/debian buster-updates InRelease                       
Hit:4 http://download.virtualbox.org/virtualbox/debian stretch InRelease                                  
Get:5 https://download.virtualbox.org/virtualbox/debian buster InRelease [7,733 B]                        
Get:6 https://download.virtualbox.org/virtualbox/debian buster/contrib amd64 Packages [1,521 B]
Fetched 9,254 B in 2s (4,145 B/s)    
Reading package lists... Done
root@debian:~# apt-get install virtualbox-6.0
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 virtualbox-6.0 : Depends: libcurl3 (>= 7.16.2) but it is not installable
                  Depends: libvpx4 (>= 1.6.0) but it is not installable
                  Recommends: libsdl-ttf2.0-0 but it is not going to be installed
                  Recommends: linux-headers-generic but it is not installable or
                              linux-headers-generic-pae but it is not installable or
                              linux-headers-686-pae but it is not installable or
                              linux-headers-amd64 but it is not going to be installed or
                              linux-headers-2.6-686 but it is not installable or
                              linux-headers-2.6-amd64 but it is not installable or
                              linux-headers but it is not installable
                  Recommends: linux-image but it is not installable
E: Unable to correct problems, you have held broken packages.

I've tried to install these dependencies manually, but if I try to install libcurl3, it tells me I can only install libcurl4. If I install libcurl4, it doesn't seem to affect anything, as it requires libcurl3 and not 4.

2

I think you might need deb http://download.virtualbox.org/virtualbox/debian bionic contrib. The following worked for me:

    wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
    wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -

    echo "deb http://download.virtualbox.org/virtualbox/debian bionic contrib" >> /etc/apt/sources.list

    apt update
    apt install virtualbox-6.0

When you try it, it is probably a good idea to remove any changes in /etc/apt/sources.list made when following other guides.

5
  • How did you know that you should add bionic and not something else? And yes, this worked. – AlphaCentauri Oct 28 '19 at 20:57
  • 1
    I compared the guides you posted with what I did and that was the only difference. The actual reason is, if I recall correctly, that Debian 10 no longer supports Virtual Box and hence it is not on their repository. – jsb Oct 28 '19 at 22:18
  • 1
    Also, I suspect many of those Linux guide articles are automatically generated from templates where the only thing that changes is the distro name/version. – jsb Oct 28 '19 at 22:22
  • 1
    To be honest, I will not be adding Oracle's repo to my system. It's literally root access to a machine I use for work and I don't trust them one bit. – MeanEYE Dec 2 '19 at 14:31
  • @MeanEYE The issue of trust is more fundamental to the traditional linux security approach, and SELinux, AppArmor, etc., hopefully will get us to the point where programs can only access what the need. Regarding package distribution, malware is frequently discovered in popular repositories like pip and the AUR. This malware is discovered due to the open source nature of these programs, so the situation is like worse with non-free software. Regarding Debian in particular it is worth noting that none of the security additions mentioned are installed by default. – jsb Dec 4 '19 at 21:50
1

A virtualbox package has been released for debian 10, buster code-name is accepted in the virtualbox url.

Your should have the following line in your /etc/apt/sources.list.d/virtualbox.list:

deb https://download.virtualbox.org/virtualbox/debian buster contrib

The installation instruction from virtualbox website:

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
wget -q https://www.virtualbox.org/download/oracle_vbox.asc -O- | sudo apt-key add -

sudo apt-get update
sudo apt-get install virtualbox-6.0

The virtualbox repository provide 3 package versions: virtualbox-6.1, virtualbox-6.0 and virtualbox-5.2.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.